addonName, PakuHud = ...

-- Setup up translation table
if not PakuHud.L then
	PakuHud.L = {}
	PakuHud.L.Locale = GetLocale()
end

-- Return default value if not present in translation table
setmetatable(PakuHud.L, {
	__index = function(t, k)
		local v = tostring(k)
		rawset(t, k, v)
		
		if not PakuHud.db.translations then PakuHud.db.translations = {} end
		PakuHud.db.translations[v] = "Needed for " .. t.Locale
		
		return v
	end
})